import { createReducer, on } from '@ngrx/store';
import { initialState } from './state';
import { infoSuccess, appendInfoList } from './actions';

export const reducer = createReducer(
  initialState,
  on(infoSuccess, (state, action) => {
    return {
      ...state,
      infoList: action.infoList,
      infoStatus: action.res
    };
  }),

  on(appendInfoList, (state, action) => {
    return {
      ...state,
      infoList: [...state.infoList, action.info]
    };
  })
);
