import { Selector, createSelector } from '@ngrx/store';
import { InfoResponse, Info } from '@ucap-webmessenger/protocol-event';

export interface State {
  infoList: Info[] | null;
  infoStatus: InfoResponse | null;
}

export const initialState: State = {
  infoList: null,
  infoStatus: null
};

export function selectors<S>(selector: Selector<any, State>) {
  return {
    infoList: createSelector(
      selector,
      (state: State) => state.infoList
    ),
    infoStatus: createSelector(
      selector,
      (state: State) => state.infoStatus
    )
  };
}
